import flet as ft

class PaymentRedirect:
    def __init__(self, page: ft.Page):
        self.page = page

    def build(self):
        return ft.Container(
            content=ft.Column(
                [
                    ft.Row(
                        [
                            ft.Image(src='images/tainagustului.png', width=200)
                        ],
                        alignment=ft.MainAxisAlignment.CENTER
                    ),
                    ft.Text(
                        "Sunteți redirecționat către pagina de plată NETOPIA...",
                        size=20,
                        weight=ft.FontWeight.BOLD,
                        text_align=ft.TextAlign.CENTER,
                    ),
                    ft.ProgressRing(width=40, height=40, color=ft.Colors.GREEN),
                    ft.Text(
                        "Vă rugăm să nu închideți această fereastră până la finalizarea plății.",
                        size=16,
                        color=ft.Colors.GREY_700,
                        text_align=ft.TextAlign.CENTER,
                    )
                ],
                alignment=ft.MainAxisAlignment.CENTER,
                horizontal_alignment=ft.CrossAxisAlignment.CENTER,
                spacing=20
            )
        )